// project.h
// Hand crafted for MSVC build - grm - Aug, 2009
// Reports: reports@geoffair.info - Web: http://geoffair.net/projects/handbrake.htm
//
#ifndef HB_PROJECT_H
#define HB_PROJECT_H

// INCLUDE always, the config.h for MSVC
#include "config.h"

// Thing like
//#define __HB_version_major  0
//#define __HB_version_minor  9
//#define __HB_version_point  3
//#define __HB_build          1
//#define __HB_repo_rev       2746
//#define __HB_repo_official  2764
#include "hb_m4.h"      // from project/handbrake.m4

#define HB_PROJECT_TITLE           __HB_title
#define HB_PROJECT_NAME            __HB_name
#define HB_PROJECT_NAME_LOWER      __HB_name_lower
#define HB_PROJECT_NAME_UPPER      __HB_name_upper
#define HB_PROJECT_URL_WEBSITE     __HB_url_website
#define HB_PROJECT_URL_COMMUNITY   __HB_url_community
#define HB_PROJECT_URL_IRC         __HB_url_irc
#define HB_PROJECT_URL_APPCAST     __HB_url_appcast
#define HB_PROJECT_VERSION_MAJOR   __HB_version_major
#define HB_PROJECT_VERSION_MINOR   __HB_version_minor
#define HB_PROJECT_VERSION_POINT   __HB_version_point
#define HB_PROJECT_VERSION         "0.9.3"
#define HB_PROJECT_VERSION_HEX     0x093
#define HB_PROJECT_BUILD           __HB_build
#define HB_PROJECT_REPO_URL        __HB_repo_url
#define HB_PROJECT_REPO_ROOT       __HB_repo_root
#define HB_PROJECT_REPO_UUID       __HB_repo_uuid
#define HB_PROJECT_REPO_REV        __HB_repo_rev
#define HB_PROJECT_REPO_DATE       __HB_repo_date
#define HB_PROJECT_REPO_OFFICIAL   __HB_repo_official
#define HB_PROJECT_REPO_TYPE       __HB_repo_type

#define HB_PROJECT_BUILD_SPEC      __BUILD_spec
#define HB_PROJECT_BUILD_MACHINE   __BUILD_machine
#define HB_PROJECT_BUILD_VENDOR    __BUILD_vendor
#define HB_PROJECT_BUILD_SYSTEM    __BUILD_system
#define HB_PROJECT_BUILD_SYSTEMF   __BUILD_systemf
#define HB_PROJECT_BUILD_RELEASE   __BUILD_release
#define HB_PROJECT_BUILD_TITLE     __BUILD_title
#define HB_PROJECT_BUILD_ARCH      __BUILD_arch

#endif /* HB_PROJECT_PROJECT_H */
// eof - project.h
