@echo Compare latest SVN download, with build environment...
@set TEMP1=C:\FGCVS\ffmpeg
@set TEMP2=C:\Projects\hb\ffmpeg
@set TEMPX=-xf:entries -xf:Changelog -xf:common.mak -xf:general.texi -xf:configure -xd:.svn
@if NOT EXIST %TEMP1%\. goto ERR1
@if NOT EXIST %TEMP2%\. goto ERR2
@if "%1x" == "x" goto DNCMD
@if "%1x" == "svnx" goto DOSVN
@if "%1x" == "SVNx" goto DOSVN
@if "%1x" == "cvsx" goto DOSVN
@if "%1x" == "CVSx" goto DOSVN
@echo ERROR: Unknown command %1 - only svn allowed...
@goto END

:DNCMD
dc4w -r -n %TEMPX% %TEMP1% %TEMP2% %2 %3 %4 %5
@goto END


@goto END

:DOSVN
dc4w -r-n %TEMP1% %TEMP2% -IEntries -IEntries.log -IRepository -IRoot -ITemplate -IChangelog.svn-base
@goto END

:ERR1
@echo ERROR: Can not locate [%TEMP1%] folder... check name, location...
@goto END

:ERR2
@echo ERROR: Can not locate [%TEMP2%] folder... check name, location...
@goto END

:END


