// config.h - HAND CRAFTED FOR MSVC - 20090916 - GRM
#ifndef _CONFIG_H_
#define _CONFIG_H_
#include <windows.h>

#ifndef HAVE_CONFIG_H
#define HAVE_CONFIG_H 1
#endif

#ifndef OIL_STATIC
#define OIL_STATIC 1
#endif

#define VERSION "0.3.16"    // from configure.ac, line AC_INIT(liboil,0.3.16)

// see liboilcpu-x86.x
#ifndef USE_I386_CPUID
#define USE_I386_CPUID
#endif

// like it or not, seems I have to define this - AND NOTE IT *IS* DEFINED
// in my Ubuntu build ;=() ADDED IT TO THE precompile setting,
// since EVERY invocation of GCC in Ubuntu had -DOIL_ENABLE_UNSTABLE_API
#ifndef OIL_ENABLE_UNSTABLE_API
#define OIL_ENABLE_UNSTABLE_API 1
#endif

#define HAVE_SINCOS 1
#define HAVE_SYMBOL_UNDERSCORE 1

// all the rest undefined, for now
#undef HAVE_AMD64 
#undef HAVE_CLOCK_GETTIME 
#undef HAVE_CPU_I386
#undef HAVE_CPU_POWERPC
#undef HAVE_CPU_PPC
#undef HAVE_DIX_CONFIG_H 
#undef HAVE_GCC_ASM 
#undef HAVE_GCC_ASM_POWERPC_FPU
#undef HAVE_GCC_I386 
#undef HAVE_GCC_POWERPC 
#undef HAVE_GETTIMEOFDAY
#undef HAVE_I386 
#undef HAVE_IEEE754_H 
#undef HAVE_ILLEGAL_INSN 
#undef HAVE_INTTYPES_H 
#undef HAVE_LRINT 
#undef HAVE_LRINTF 
#undef HAVE_MMAP 
#undef HAVE_MMX_INTRINSICS
#undef HAVE_MONOTONIC_CLOCK 
#undef HAVE_POWERPC 
#undef HAVE_RINT 
#undef HAVE_RINTF 
#undef HAVE_SIGACTION 
#undef HAVE_SIGPROCMASK 
#undef HAVE_SSE_INTRINSICS
#undef HAVE_SSSE3_ASM 
#undef HAVE_SYS_TIME_H 
#undef HAVE_UNALIGNED_ACCESS 
#undef HAVE_UNISTD_H

#endif // #ifndef _CONFIG_H_
// eof - config.h
