// config.h - HAND CRAFTED FOR MSVC from config.h.in - 20090915 - grm
#ifndef _CONFIG_H_
#define _CONFIG_H_

#include <windows.h>
/* NOT SURE ABOUT THIS, BUT ... */
#define SCHRO_ENABLE_UNSTABLE_API 1

// taken from U:\usr\include\math.h
#define M_LN10		2.30258509299404568402	/* log_e 10 */
#define M_PI		3.14159265358979323846	/* pi */

#define rint(x) (( x > 0.0 ) ? floor( x + 0.5 ) : ( x < 0.0 ) ? ceil( x - 0.5 ) : 0.0 )

#ifndef OIL_STATIC
#define OIL_STATIC
#endif

/* config.h.in.  Generated from configure.ac by autoheader.  */
/* Enable encoder */
#define ENABLE_ENCODER 1

/* Enable motion reference code */
#undef ENABLE_MOTION_REF

/* Package origin in GStreamer plugin */
#undef GST_PACKAGE_ORIGIN

/* Defined if host is amd64 */
#undef HAVE_AMD64

/* Defined if host is arm */
#undef HAVE_ARM

/* Compile in CUDA rendering backend */
#undef HAVE_CUDA

/* Define to 1 if you have the <dlfcn.h> header file. */
#undef HAVE_DLFCN_H

/* Defined if host is i386 */
#undef HAVE_I386

/* Define to 1 if you have the <inttypes.h> header file. */
#undef HAVE_INTTYPES_H

/* Define to 1 if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Compile in OpenGL rendering backend 
   although this IS available in WIN32 I leave it disabled for now */
#undef HAVE_OPENGL

/* Whether or not orc is enabled */
#undef HAVE_ORC

/* Defined if host is powerpc */
#undef HAVE_POWERPC

/* Define to 1 if you have the <stdint.h> header file. */
#undef HAVE_STDINT_H

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <strings.h> header file. */
#undef HAVE_STRINGS_H

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#undef HAVE_UNISTD_H

/* Define to the sub-directory in which libtool stores uninstalled libraries.
   */
#undef LT_OBJDIR

/* Define to 1 if your C compiler doesn't accept -c and -o together. */
#undef NO_MINUS_C_MINUS_O

/* Name of package */
#define PACKAGE "schroedinger win32"

/* Define to the address where bug reports for this package should be sent. */
#undef PACKAGE_BUGREPORT

/* Define to the full name of this package. */
#undef PACKAGE_NAME

/* Define to the full name and version of this package. */
#undef PACKAGE_STRING

/* Define to the one symbol short name of this package. */
#undef PACKAGE_TARNAME

/* Define to the version of this package. */
#undef PACKAGE_VERSION

/* Define to 1 if you have the ANSI C header files. */
#undef STDC_HEADERS

/* Version number of package */
#define VERSION  "0.0.99"

/* Number of bits in a file offset, on hosts where this is settable. */
#undef _FILE_OFFSET_BITS

/* Define for large files, on AIX-style hosts. */
#undef _LARGE_FILES

#endif // #ifndef _CONFIG_H_
// eof - config.h
